Purchase Order Transaction

The purchase order transaction resource.

Basehttps://rest.carbon.ms/purchaseOrderTransaction
GET/purchaseOrderTransaction

List purchase order transactions

Retrieve a paginated list of purchase order transactions. Filter, order, and select columns with PostgREST query parameters.

Query parameters

selectstring

Comma-separated columns to return. Defaults to all.

orderstring

Column to sort by, e.g. `createdAt.desc`.

limitinteger

Maximum rows to return.

offsetinteger

Rows to skip, for pagination.

GEThttps://rest.carbon.ms/purchaseOrderTransaction
curl --request GET \
  --url 'https://rest.carbon.ms/purchaseOrderTransaction?select=*&limit=10' \
  --header 'Authorization: Bearer <api-key>'
Response
[
  {
    "id": "abc123def456",
    "purchaseOrderId": "xyz789",
    "type": "string",
    "userId": "xyz789",
    "createdAt": "2026-01-01T00:00:00Z"
  }
]
GET/purchaseOrderTransaction

Retrieve a purchase order transaction

Fetch a single purchase order transaction by filtering on `id`.

Query parameters

idstring

Match on the purchase order transaction's `id`, e.g. `eq.{id}`.

GEThttps://rest.carbon.ms/purchaseOrderTransaction
curl --request GET \
  --url 'https://rest.carbon.ms/purchaseOrderTransaction?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
Response
{
  "id": "abc123def456",
  "purchaseOrderId": "xyz789",
  "type": "string",
  "userId": "xyz789",
  "createdAt": "2026-01-01T00:00:00Z"
}
POST/purchaseOrderTransaction

Create a purchase order transaction

Create a new purchase order transaction.

Body parameters

purchaseOrderIdstringrequired

References purchaseOrder.id

typepurchaseOrderTransactionTyperequired
userIdstringrequired

References user.id

POSThttps://rest.carbon.ms/purchaseOrderTransaction
curl --request POST \
  --url https://rest.carbon.ms/purchaseOrderTransaction \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"purchaseOrderId":"xyz789","type":"string","userId":"xyz789"}'
Response
{
  "id": "abc123def456",
  "purchaseOrderId": "xyz789",
  "type": "string",
  "userId": "xyz789",
  "createdAt": "2026-01-01T00:00:00Z"
}
PATCH/purchaseOrderTransaction

Update a purchase order transaction

Update an existing purchase order transaction, matched on `id`.

Body parameters

purchaseOrderIdstringrequired

References purchaseOrder.id

typepurchaseOrderTransactionTyperequired
userIdstringrequired

References user.id

PATCHhttps://rest.carbon.ms/purchaseOrderTransaction
curl --request PATCH \
  --url 'https://rest.carbon.ms/purchaseOrderTransaction?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"purchaseOrderId":"xyz789"}'
Response
{
  "id": "abc123def456",
  "purchaseOrderId": "xyz789",
  "type": "string",
  "userId": "xyz789",
  "createdAt": "2026-01-01T00:00:00Z"
}
DELETE/purchaseOrderTransaction

Delete a purchase order transaction

Delete a purchase order transaction, matched on `id`. Returns 204 No Content.

Query parameters

idstring

The `id` of the purchase order transaction to delete, e.g. `eq.{id}`.

DELETEhttps://rest.carbon.ms/purchaseOrderTransaction
curl --request DELETE \
  --url 'https://rest.carbon.ms/purchaseOrderTransaction?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
204 No Content